<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"     
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    
          <ui:composition template=../WEB-INF/template/Template.xhtml"
                          
            <ui:define name="top1">
                  Cadastro de Autor
            </ui:define>              
                      
            <p:fieldset legend="Cadastro de Autor">
                <p:panelGrid columns="2" id="painel">
                    <f:facet name="header">
                        Dados do Autor
                    </f:facet>
                    <p:outputLabel value="Codigo:" for="codigo" />
                    <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{autorBean.codigo}" />
                    <p:outputLabel value="Nome:" for="nome" />
                    
                    <h:panelGroup >
                        <p:inputText id="nome" required="true" value="#{autorBean.autor.nome}" />
                        <p:message for="nome" />
                    </h:panelGroup>
                    
                    <p:outputLabel value="E-Mail:" for="email" />
                    <h:panelGroup >
                        <p:inputText id="email" required="true"  value="#{autorBean.autor.email}"  />
                        <p:message for="email" />
                    </h:panelGroup>
                    
                    <f:facet name="footer">
                       
                        <p:commandButton value="Salvar" icon="fa-save"  action="#{autorBean.salvar}" update="growl,painel,tabela" />
                        <p:spacer width="20px" />
                        
                        <p:commandButton value="Novo" icon="fa-save"  ajax="false" action="#{autorBean.novo}"/>
                    
                    </f:facet>
                </p:panelGrid>
                <h:inputHidden value="#{autorBean.autor.id}" />
            </p:fieldset>

            <p:spacer height="20px" />

            <p:fieldset legend="Lista de Autores" >
                <p:dataTable value="#{autorBean.lista}" var="autor" id="tabela">
                    <p:column headerText="Código" style="width: 80px; text-align: center">
                        <h:outputText value="#{autor.id}" />
                    </p:column>
                    <p:column headerText="Nome">
                        <h:outputText value="#{autor.nome}" />
                    </p:column>
                    <p:column headerText="E-mail">
                        <h:outputText value="#{autor.email}" />
                    </p:column>
                    <p:column style="width: 100px; text-align: center">
                        
                        <p:commandButton  icon="ui-icon-pencil" title="Editar" ajax="false" immediate="true" >
                            <f:setPropertyActionListener target="#{autorBean.autor}" value="#{autor}" />
                        </p:commandButton>

                        <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{autorBean.excluir(autor)}" process="@this" update="growl , tabela"  />

                    </p:column>
                    
                </p:dataTable>

            </p:fieldset>
          
          </ui:composition>        

    </h:body>
</html>

